/**
 * DevExtreme (cjs/core/utils/stubs.js)
 * Version: 23.1.11 (build 24189-0109)
 * Build date: Sun Jul 07 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
exports.stubComponent = stubComponent;

function stubComponent(componentName) {
    return function() {
        function NoComponent() {
            throw new Error("Module '".concat(componentName, "' not found"))
        }
        NoComponent.getInstance = function() {};
        return NoComponent
    }()
}
